@echo off
cls

REM ins Verzeichnis des Shell-Skripts wechseln
cd %~dp0

IF "%~1" == "" (
	SET File=*.p12
) ELSE (
	SET File=%1
)

IF NOT EXIST %File% goto MISSING_FILE

echo.
echo "Passwort vom Zertifikat aendern"
echo "-------------------------------"
echo.

copy /Y %File% %File%.bak 1>NUL
set OPENSSL_CONF=openssl\openssl.cnf

openssl\openssl.exe pkcs12 -nodes -in %File% -out cert.pem
if ERRORLEVEL 1 GOTO ERROR
openssl\openssl.exe pkcs12 -export -in cert.pem -out %File%
if ERRORLEVEL 1 GOTO ERROR
del cert.pem 1>NUL

echo.
echo "Passwort wurde erfolgreich geaendert."
goto END

:ERROR
echo -----------------------------------------------------------
echo.
echo Es ist ein Fehler aufgetreten. Bitte ueberpruefen Sie das Passwort
echo oder wenden Sie sich an Maik Krueger (Tel.: 1015 Mail: maik.krueger@b-tu.de)
goto END

:MISSING_FILE
echo. 
echo Ihr Zertifikat fehlt. Bitte kopieren Sie Ihr Zertifikat in dieses Verzeichnis
echo oder ziehen Sie das Zertifikat auf die Datei "change_password.bat".
goto END


:END
echo.
PAUSE
REM d55Ky76eae7N